Summary:	Utility to display KDE dialog boxes from shell scripts
Name:		kdialog
Version:	17.08.2
Release:	1
Epoch:		1
License:	LGPLv2+
Group:		Graphical desktop/KDE
Url:		http://utils.kde.org/projects/filelight/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
Patch0:		kdialog-17.08.2-mime-filters.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5archive-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
Conflicts:	kde5-l10n < 17.04

%description
Utility to display KDE dialog boxes from shell scripts.
The syntax is very much inspired from the "dialog" command
(which shows text mode dialogs).

%files -f %{name}.lang
%{_kde5_bindir}/kdialog
%{_kde5_bindir}/kdialog_progress_helper
%{_datadir}/dbus-1/interfaces/org.kde.kdialog.ProgressDialog.xml

#----------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-kde --with-html
%kf5locales_fix %{name}.lang

%changelog

* Tue Oct 31 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1:17.08.2-1
- (7923dd9) Re-diff mime-filters patch


